import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class Parte_a {
    public static void main(String[] args) {
        try {
            Scanner posFile = new Scanner(new File(args[0]));
            Parte_a parte_a = new Parte_a();
            parte_a.processPositions(posFile);
        } catch (FileNotFoundException e) {
            System.out.println("File not found.");
            System.exit(-1);
        }
    }
    public void processPositions(Scanner posFile) {
        double last_x, x=0;
        double last_y, y=0;
        double distance=0;
        if (posFile.hasNextDouble()) {
            x = posFile.nextDouble();
            y = posFile.nextDouble();
            System.out.println(x+"\t"+y+"\t"+distance);
        }
        while (posFile.hasNextDouble()) {
            last_x = x;
            last_y = y;
            x = posFile.nextDouble();
            y = posFile.nextDouble();
            distance += Math.sqrt(Math.pow(x - last_x, 2) + Math.pow(y - last_y, 2));
            System.out.println(x + "\t" + y + "\t" + distance);
        }
    }
}